Subject: RFC-2842 Encoding BGP Capabilities

From: "Ankur Goyal" <[email-masked]>
Date: Thu, 18 Jul 2002 15:20:57 -0700

Hi,

Section 2 of RFC 2842 states that:

  This is an Optional Parameter that is used by a BGP speaker to convey
  to its BGP peer the list of capabilities supported by the speaker.

  The parameter contains one or more triples <Capability Code,
  Capability Length, Capability Value>
  ...
  <snip>
  ...
   A particular capability, as identified by its Capability Code, may
   occur more than once within the Optional Parameter.

I wonder which or both of the following encoding schemes are valid for advertising supported capabilities to a peer.

OP# - is the Optional Parameter number in the OPEN message
C   - represents the optional parameter type Capability
A   - represents the optional parameter for Authentication
c#  - represents individual Capabilities in the form code+length+value

(1) OP1-C:c1.c2.c3.c1 + OP2-A
(2) OP1-C:c1 + OP2-C:c2 + OP3-C:c3 + OP4-C:c1 + OP5-A

any clarification on this will be greatly appreciated.

Ankur

---

From: Enke Chen <[email-masked]>
Date: Mon, 22 Jul 2002 11:28:11 -0700

Hi, Ankur:

> Subject: RFC-2842 Encoding  BGP Capabilities
> Date: Thu, 18 Jul 2002 15:20:57 -0700
> Message-ID: <[email-masked]>
> From: "Ankur Goyal" <[email-masked]>
> To: <[email-masked]>
> Sender: [email-masked]
> Precedence: bulk
> 
> Hi,
> 
> I wonder which or both of the following encoding schemes are valid for =
> advertising supported capabilities to a peer.
> 

I am not aware of the use of the "Authentication" field. Other than that,
both encoding types (1) and (2) are in use, although (1) is clearly more
more compact than (2).

-- Enke